org.eclipse.net4j.util.om.log

## Class RollingLog.LogLine

- java.lang.Object
- - org.eclipse.net4j.util.om.log.RollingLog.LogLine

- Enclosing class:
    RollingLog

      public static final class RollingLog.LogLine
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLine(long millis, java.lang.String thread, java.lang.String message)`
    `LogLine(java.lang.String string)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getID()`
    `java.lang.String` | `getMessage()`
    `long` | `getMillis()`
    `java.lang.String` | `getThread()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogLine

          public LogLine(long millis,
                         java.lang.String thread,
                         java.lang.String message)

    - #### LogLine

          public LogLine(java.lang.String string)

  - ### Method Detail

    - #### getID

          public long getID()

    - #### getMillis

          public long getMillis()

    - #### getThread

          public java.lang.String getThread()

    - #### getMessage

          public java.lang.String getMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html